AscioServices services = new AscioServices();



owner =  new Registrant();
owner.FirstName = "John";
owner.LastName = "Doe";
owner.Address1 = "Address1Test";
owner.City = "CityTest";
owner.PostalCode = "888349";
owner.CountryCode = "DK";
owner.Email = "administrator@ascio-test-domain.com"


reseller =  new Contact();
reseller.FirstName = "John";
reseller.LastName = "Doe";
reseller.OrgName = "Ascio";
reseller.Address1 = "Address1Test";
reseller.City = "CityTest";
reseller.State = "StateTest";
reseller.PostalCode = "888349";
reseller.CountryCode = "DK";
reseller.Email = "administrator@ascio-test-domain.com"
reseller.Type = "owner";


keyValue =  new KeyValue();
keyValue.Key = "Title";
keyValue.Value = "Mr.";


markExtensions =  new Extensions(array($keyValue));


mark =  new TreatyOrStatuteMark();
mark.Handle = "JD123";
mark.MarkName = "MarkNameTest";
mark.MarkId = "MarkIdTest";
mark.AuthInfo = "X4FF!zu";
mark.ServiceType = MarkServiceType::Standard;
mark.GoodsAndServicesDescription = "GoodsAndServicesDescriptionTest";
mark.Labels = array("LabelsTest");
mark.ClaimEmailNotification1 = "ClaimEmailNotification1Test";
mark.ClaimEmailNotification2 = "ClaimEmailNotification2Test";
mark.ClaimEmailNotification3 = "ClaimEmailNotification3Test";
mark.ClaimEmailNotification4 = "ClaimEmailNotification4Test";
mark.ClaimEmailNotification5 = "ClaimEmailNotification5Test";
mark.NotificationFrequency = NotificationFrequencyType::Daily;
mark.Owner = owner;
mark.Reseller = reseller;
mark.Extensions = markExtensions;
mark.ObjectComment = "Example Object Comment";
mark.Title = "TitleTest";
mark.ReferenceNumber = "ReferenceNumberTest";
mark.Country = "DK";
mark.Region = "RegionTest";
mark.ProtectionDate = new \DateTime();
mark.ExecutionDate = new \DateTime();


markOrderDocument =  new MarkOrderDocument();
markOrderDocument.FileName = "anything.jpg";
markOrderDocument.Content = base64_encode(123);
markOrderDocument.DocType = MarkOrderDocType::TrademarkAssigneeDeclaration;


documents =  new ArrayOfMarkOrderDocument(array($markOrderDocument));


request =  new MarkOrderRequest();
request.Type = OrderType::Register;
request.Period = 1;
request.TransactionComment = "TransactionCommentTest";
request.Comments = "CommentsTest";
request.Documentation = "DocumentationTest";
request.Options = "OptionsTest";
request.Mark = mark;
request.Documents = documents;

Response response = services.CreateOrder("mySessionId", ref request);
if (response.ResultCode == 200) {
	Console.WriteLine("My new orderId is : " + request.OrderId);
} else {
	if (response.Values != null) {
		Console.WriteLine(String.Join(",", response.Values));
	}
}