package ascio.lib;

public class ServerConfig {
  private String environment;
  private String account;
  private String password;
  private V2 v2 = new V2(this);
  private V3 v3 = new V3(this);
  private Dns dns = new Dns(this);
  
  public ServerConfig(String account, String password, String environment) { this.environment = environment;
    this.account = account;
    this.password = password;
  }
  
  public void setAccount(String account) { this.account = account; }
  
  public String getAccount() {
    return account;
  }
  
  public void setPassword(String password) { this.password = password; }
  
  public String getPassword() {
    return password;
  }
  
  public V2 getV2() { return v2; }
  
  public V3 getV3() {
    return v3;
  }
  
  public Dns getDns() { return dns; }
  
  public String getName() {
    return environment;
  }
}