package ascio.lib;

public class AscioConfig {
  ServerConfig live;
  ServerConfig testing;
  String email;
  
  public AscioConfig() { live = new ServerConfig("user", "password", "live");
    live.getV2().setWsdl("https://aws.ascio.com/2012/01/01/AscioService.wsdl");
    live.getV2().setEndpoint("https://aws.ascio.com/2012/01/01/AscioService.svc");
    live.getV3().setWsdl("https://aws.ascio.com/v3/aws.wsdl");
    live.getV3().setEndpoint("https://aws.ascio.com/v3/AscioService.svc");
    live.getDns().setWsdl("https://dnsservice.ascio.com/2010/10/30/DnsService.wsdl");
    
    testing = new ServerConfig("user", "password", "testing");
    testing.getV2().setWsdl("https://awstest.ascio.com/2012/01/01/AscioService.wsdl");
    testing.getV2().setEndpoint("https://awstest.ascio.com/2012/01/01/AscioService.svc");
    testing.getV3().setWsdl("https://awstest.ascio.com/v3/aws.wsdl");
    testing.getV3().setEndpoint("https://awstest.ascio.com/v3/AscioService.svc");
    
    setEmail("test@test.de");
  }
  
  public ServerConfig getLive() { return live; }
  
  public ServerConfig getTesting() {
    return testing;
  }
  
  public String getEmail() { return email; }
  
  public void setEmail(String email) {
    this.email = email;
  }
}

