package ascio.lib;

import org.apache.axis.message.SOAPHeaderElement;

public class V3
  extends ApiVersion
{
  public String wsdl;
  public String endpoint;
  
  public V3(ServerConfig serverConfig) { super(serverConfig); }
  
  public com.ascio.www._2013._02.AscioService.IAscioService getClient() {
    com.ascio.www._2013._02.AscioService.IAscioService client = null;
    try {
      com.ascio.www._2013._02.AscioService.AscioServiceLocator locator = new com.ascio.www._2013._02.AscioService.AscioServiceLocator();
      SOAPHeaderElement authentication = new SOAPHeaderElement("http://www.ascio.com/2013/02", "SecurityHeaderDetails");
      authentication.addChildElement("Account").addTextNode(serverConfig.getAccount());
      authentication.addChildElement("Password").addTextNode(serverConfig.getPassword());
      locator.setAscioServicePortEndpointAddress(getEndpoint());
      client = locator.getAscioServicePort();
      ((org.apache.axis.client.Stub)client).setHeader(authentication);
    } catch (Exception e) {
      System.out.print(e);
    }
    return client;
  }
}