package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;
import javax.xml.rpc.holders.*;

public class CreateDocumentationExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();
		String fileContentString = "abc123";


		Attachment attachment =  new Attachment();
		attachment.setData(fileContentString.getBytes());
		attachment.setFileName("anything.jpg");

		Attachment[] attachments = new Attachment[]{attachment};



		try {
			//outputs holders

			ResponseHolder createDocumentationResultHolder = new ResponseHolder();
			IntegerWrapperHolder documentationIdHolder = new IntegerWrapperHolder();

			env.getClient().createDocumentation(env.getSessionId(), attachments, createDocumentationResultHolder, documentationIdHolder);

			Response response = createDocumentationResultHolder.value;

			System.out.println("CreateDocumentation ResultCode\t: " + response.getResultCode().toString());
			System.out.println("CreateDocumentation Message\t: " + response.getMessage());
			System.out.println("documentationId\t\t: " + documentationIdHolder.value);        
        
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}