package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class GetNameServerExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder getNameServerResultHolder = new ResponseHolder();
			NameServerHolder nameServerHolder = new NameServerHolder();

			env.getClient().getNameServer(env.getSessionId(), "nameServerHandleTest", getNameServerResultHolder, nameServerHolder);

			Response response = getNameServerResultHolder.value;

			System.out.println("GetNameServer ResultCode\t: " + response.getResultCode().toString());
			System.out.println("GetNameServer Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}