package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;
import javax.xml.rpc.holders.*;

public class PollMessageExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder pollMessageResultHolder = new ResponseHolder();
			IntegerWrapperHolder msgCountHolder = new IntegerWrapperHolder();
			QueueItemHolder itemHolder = new QueueItemHolder();

			env.getClient().pollMessage(env.getSessionId(), MessageType.Message_to_Partner, pollMessageResultHolder, msgCountHolder, itemHolder);

			Response response = pollMessageResultHolder.value;

			System.out.println("PollMessage ResultCode\t: " + response.getResultCode().toString());
			System.out.println("PollMessage Message\t: " + response.getMessage());
			System.out.println("msgCount\t\t: " + msgCountHolder.value);        
        
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}