package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class GetDefensiveExample {
	public static GetDefensiveResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();

		GetDefensiveRequest request =  new GetDefensiveRequest();
		request.setHandle("JD123");


		try {
			GetDefensiveResponse response = env.getClient().getDefensive(request);			
			System.out.println("response\n");
			System.out.println("GetDefensive Code\t:" + response.getResultCode());
			System.out.println("GetDefensive Message\t: " + response.getResultMessage());

			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new GetDefensiveResponse();

	}
}