package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class GetMarkExample {
	public static GetMarkResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();

		GetMarkRequest request =  new GetMarkRequest();
		request.setHandle("JD123");


		try {
			GetMarkResponse response = env.getClient().getMark(request);			
			System.out.println("response\n");
			System.out.println("GetMark Code\t:" + response.getResultCode());
			System.out.println("GetMark Message\t: " + response.getResultMessage());

			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new GetMarkResponse();

	}
}