package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class GetOrderExample {
	public static GetOrderResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();

		GetOrderRequest request =  new GetOrderRequest();
		request.setOrderId("TEST123456");


		try {
			GetOrderResponse response = env.getClient().getOrder(request);			
			System.out.println("response\n");
			System.out.println("GetOrder Code\t:" + response.getResultCode());
			System.out.println("GetOrder Message\t: " + response.getResultMessage());

			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new GetOrderResponse();

	}
}