package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class PollQueueExample {
	public static PollQueueResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();

		PollQueueRequest request =  new PollQueueRequest();
		request.setMessageType(MessageType.OrderMail);
		request.setObjectType(ObjectType.DomainType);


		try {
			PollQueueResponse response = env.getClient().pollQueue(request);			
			System.out.println("response\n");
			System.out.println("PollQueue Code\t:" + response.getResultCode());
			System.out.println("PollQueue Message\t: " + response.getResultMessage());

			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new PollQueueResponse();

	}
}