<?php
$wsdl = "https://aws.demo.ascio.com/v3/aws.wsdl";
//$wsdl = "https://aws.ascio.com/v3/aws.wsdl";
$client = new SoapClient($wsdl,array( "trace" => 1, "soap_version" => SOAP_1_1));
$credentials = array("Account"=> "myaccount", "Password" => "mypassword");
$header = new \SoapHeader("http://www.ascio.com/2013/02","SecurityHeaderDetails", $credentials, false);
$client->__setSoapHeaders($header);

//Registrant

$owner =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Phone" => "+45.123456789",
	"Email" => "administrator@ascio-test-domain.com"
];

//Contact

$admin =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Phone" => "+45.123456789",
	"Email" => "administrator@ascio-test-domain.com"
];

//Contact

$tech =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Phone" => "+45.123456789",
	"Email" => "administrator@ascio-test-domain.com"
];

//Contact

$billing =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Phone" => "+45.123456789",
	"Email" => "administrator@ascio-test-domain.com"
];

//Contact

$reseller =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Phone" => "+45.123456789",
	"Email" => "administrator@ascio-test-domain.com"
];

//NameServer

$nameServer1 =  [
	"HostName" => "ns1.ascio.net"
];

//NameServer

$nameServer2 =  [
	"HostName" => "ns2.ascio.net"
];

//NameServer

$nameServer3 =  [
	"HostName" => "ns3.ascio.net"
];

//NameServer

$nameServer4 =  [
	"HostName" => "ns4.ascio.net"
];

//NameServers

$nameServers =  [
	"NameServer1" => $nameServer1,
	"NameServer2" => $nameServer2,
	"NameServer3" => $nameServer3,
	"NameServer4" => $nameServer4
];

//DomainTradeMark

$trademark =  [
	"Name" => "ascio-is-great.com",
	"Country" => "DK",
	"Date" => "DateTest",
	"Number" => "NumberTest",
	"Type" => "owner",
	"Contact" => "ContactTest",
	"ContactLanguage" => "ContactLanguageTest",
	"DocumentationLanguage" => "DocumentationLanguageTest",
	"SecondContact" => "SecondContactTest",
	"ThirdContact" => "ThirdContactTest",
	"RegDate" => "RegDateTest"
];

//DnsSecKey

$dnsSecKey1 =  [
	"Handle" => "JD123"
];

//DnsSecKey

$dnsSecKey2 =  [
	"Handle" => "JD123"
];

//DnsSecKeys

$dnsSecKeys =  [
	"DnsSecKey1" => $dnsSecKey1,
	"DnsSecKey2" => $dnsSecKey2
];

//KeyValue

$keyValue =  [
	"Key" => "Title",
	"Value" => "Mr."
];

//Extensions

$privacyProxyExtensions =  [
	"KeyValue" => [$keyValue]
];

//PrivacyProxy

$privacyProxy =  [
	"Type" => "None",
	"PrivacyAdmin" => false,
	"PrivacyTech" => false,
	"PrivacyBilling" => false,
	"Extensions" => $privacyProxyExtensions
];

//Domain

$domain =  [
	"Name" => "ascio-is-great.com",
	"Handle" => "JD123",
	"RenewPeriod" => 1,
	"AuthInfo" => "X4FF!zu",
	"EncodingType" => "EncodingTypeTest",
	"DomainPurpose" => "DomainPurposeTest",
	"Comment" => "CommentTest",
	"TransferLock" => "Unlock",
	"DeleteLock" => "Unlock",
	"UpdateLock" => "Unlock",
	"QueueType" => "QueueTypeTest",
	"Owner" => $owner,
	"Admin" => $admin,
	"Tech" => $tech,
	"Billing" => $billing,
	"Reseller" => $reseller,
	"NameServers" => $nameServers,
	"Trademark" => $trademark,
	"DnsSecKeys" => $dnsSecKeys,
	"PrivacyProxy" => $privacyProxy,
	"DomainType" => "DomainTypeTest",
	"DiscloseSocialData" => "true",
	"LocalPresence" => false
];

//DomainOrderRequest

$request =  [
	"Type" => "Register",
	"Period" => 1,
	"TransactionComment" => "TransactionCommentTest",
	"Comments" => "CommentsTest",
	"Documentation" => "DocumentationTest",
	"Options" => "OptionsTest",
	"Domain" => $domain,
	"AgreedPrice" => 1
];

//CreateOrder

$createOrder =  [
	"request" => new SoapVar($request, SOAP_ENC_OBJECT, "DomainOrderRequest", "http://www.ascio.com/2013/02","request","http://www.ascio.com/2013/02/AscioService")
];

try{	
    $result = $client->createOrder($createOrder);
    echo "ResultCode : ".$result->CreateOrderResult->ResultCode."\r\n";
    echo "ResultMessage : ".$result->CreateOrderResult->ResultMessage."\r\n";
    if(is_array($result->CreateOrderResult->Errors->string)) {
        echo "Errors:\r\n";
        foreach($result->CreateOrderResult->Errors->string as $key => $value) {
            echo " - " . $value."\r\n";
        }
    }
} catch(Exception $e) {
	echo $e->getMessage(); 
}

