AscioServices services = new AscioServices();



owner =  new Registrant();
owner.FirstName = "John";
owner.LastName = "Doe";
owner.Address1 = "Address1Test";
owner.City = "CityTest";
owner.PostalCode = "888349";
owner.CountryCode = "DK";
owner.Email = "administrator@ascio-test-domain.com"


reseller =  new Contact();
reseller.FirstName = "John";
reseller.LastName = "Doe";
reseller.Address1 = "Address1Test";
reseller.City = "CityTest";
reseller.PostalCode = "888349";
reseller.CountryCode = "DK";
reseller.Email = "administrator@ascio-test-domain.com"


nameWatch =  new NameWatch();
nameWatch.Handle = "JD123";
nameWatch.Name = "ascio-is-great.com";
nameWatch.NotificationFrequency = NotificationFrequencyType::Daily;
nameWatch.Tier = 1;
nameWatch.EmailNotification1 = "EmailNotification1Test";
nameWatch.EmailNotification2 = "EmailNotification2Test";
nameWatch.EmailNotification3 = "EmailNotification3Test";
nameWatch.EmailNotification4 = "EmailNotification4Test";
nameWatch.EmailNotification5 = "EmailNotification5Test";
nameWatch.Owner = owner;
nameWatch.Reseller = reseller;
nameWatch.ObjectComment = "Example Object Comment";


request =  new NameWatchOrderRequest();
request.Type = OrderType::Register;
request.Period = 1;
request.TransactionComment = "TransactionCommentTest";
request.Comments = "CommentsTest";
request.Documentation = "DocumentationTest";
request.Options = "OptionsTest";
request.NameWatch = nameWatch;

Response response = services.CreateOrder("mySessionId", ref request);
if (response.ResultCode == 200) {
	Console.WriteLine("My new orderId is : " + request.OrderId);
} else {
	if (response.Values != null) {
		Console.WriteLine(String.Join(",", response.Values));
	}
}