package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class CreateNameServerExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		NameServer nameServer =  new NameServer();
		nameServer.setHostName("HostNameTest");


		try {
			//inputs holders

			NameServerHolder nameServerHolder = new NameServerHolder(nameServer);

			Response response = env.getClient().createNameServer(env.getSessionId(), nameServerHolder);


			System.out.println("CreateNameServer ResultCode\t: " + response.getResultCode().toString());
			System.out.println("CreateNameServer Message\t: " + response.getMessage());
			System.out.println("Created Handle\t: " + nameServerHolder.value.getHandle());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}