package ascio.v2.examples;
import com.ascio.www._2007._01.*;

import ascio.lib.*;

public class DeleteRegistrantExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {

			Response response = env.getClient().deleteRegistrant(env.getSessionId(), "registrantHandleTest");


			System.out.println("DeleteRegistrant ResultCode\t: " + response.getResultCode().toString());
			System.out.println("DeleteRegistrant Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}