package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class GetRegistrantExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder getRegistrantResultHolder = new ResponseHolder();
			RegistrantHolder registrantHolder = new RegistrantHolder();

			env.getClient().getRegistrant(env.getSessionId(), "registrantHandleTest", getRegistrantResultHolder, registrantHolder);

			Response response = getRegistrantResultHolder.value;

			System.out.println("GetRegistrant ResultCode\t: " + response.getResultCode().toString());
			System.out.println("GetRegistrant Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}