package ascio.v2.examples;
import com.ascio.www._2007._01.*;

import ascio.lib.*;

public class UpdateContactExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		Contact contact =  new Contact();
		contact.setFirstName("John");
		contact.setLastName("Doe");
		contact.setAddress1("Address1Test");
		contact.setPostalCode("888349");
		contact.setCity("CityTest");
		contact.setCountryCode("DK");
		contact.setEmail("administrator@ascio-test-domain.com");
		contact.setPhone("+45.123456789");


		try {

			Response response = env.getClient().updateContact(env.getSessionId(), contact);


			System.out.println("UpdateContact ResultCode\t: " + response.getResultCode().toString());
			System.out.println("UpdateContact Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}