package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;
import javax.xml.rpc.holders.*;

public class WhoisExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder whoisResultHolder = new ResponseHolder();
			StringHolder whoisDataHolder = new StringHolder();

			env.getClient().whois(env.getSessionId(), "domainNameTest", whoisResultHolder, whoisDataHolder);

			Response response = whoisResultHolder.value;

			System.out.println("Whois ResultCode\t: " + response.getResultCode().toString());
			System.out.println("Whois Message\t: " + response.getMessage());
			System.out.println("whoisData\t\t: " + whoisDataHolder.value);        
        
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}