package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class GetAutoInstallSslExample {
	public static GetAutoInstallSslResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();

		GetAutoInstallSslRequest request =  new GetAutoInstallSslRequest();
		request.setHandle("JD123");


		try {
			GetAutoInstallSslResponse response = env.getClient().getAutoInstallSsl(request);			
			System.out.println("response\n");
			System.out.println("GetAutoInstallSsl Code\t:" + response.getResultCode());
			System.out.println("GetAutoInstallSsl Message\t: " + response.getResultMessage());

			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new GetAutoInstallSslResponse();

	}
}