package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class GetMessagesExample {
	public static GetMessagesResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();

		GetMessagesRequest request =  new GetMessagesRequest();
		request.setOrderId("TEST123456");


		try {
			GetMessagesResponse response = env.getClient().getMessages(request);			
			System.out.println("response\n");
			System.out.println("GetMessages Code\t:" + response.getResultCode());
			System.out.println("GetMessages Message\t: " + response.getResultMessage());

			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new GetMessagesResponse();

	}
}